New LiquidCrystal library: LiquidCrystal_I2C Class Reference

New LiquidCrystal library 1.3.2 Generic LCD control library

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LiquidCrystal_I2C Class Reference
Inheritance diagram for LiquidCrystal_I2C:

## Public Member Functions

| LiquidCrystal_I2C (uint8_t lcd_Addr)
| LiquidCrystal_I2C (uint8_t lcd_Addr, uint8_t backlighPin, t_backlighPol pol)
| LiquidCrystal_I2C (uint8_t lcd_Addr, uint8_t En, uint8_t Rw, uint8_t Rs)
| LiquidCrystal_I2C (uint8_t lcd_Addr, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t backlighPin, t_backlighPol pol)
| LiquidCrystal_I2C (uint8_t lcd_Addr, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
| LiquidCrystal_I2C (uint8_t lcd_Addr, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlighPin, t_backlighPol pol)
virtual void | begin (uint8_t cols, uint8_t rows, uint8_t charsize=LCD_5x8DOTS)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklightPin (uint8_t value, t_backlighPol pol)
void | setBacklight (uint8_t value)
Public Member Functions inherited from LCD
| LCD ()
void | clear ()
void | home ()
void | noDisplay ()
void | display ()
void | noBlink ()
void | blink ()
void | noCursor ()
void | cursor ()
void | scrollDisplayLeft ()
void | scrollDisplayRight ()
void | leftToRight ()
void | rightToLeft ()
void | moveCursorLeft ()
void | moveCursorRight ()
void | autoscroll ()
void | noAutoscroll ()
void | createChar (uint8_t location, uint8_t charmap[])
void | setCursor (uint8_t col, uint8_t row)
void | backlight (void)
void | noBacklight (void)
void | on (void)
void | off (void)
virtual void | write (uint8_t value)

## Additional Inherited Members

Protected Attributes inherited from LCD
uint8_t | _displayfunction
uint8_t | _displaycontrol
uint8_t | _displaymode
uint8_t | _numlines
uint8_t | _cols
t_backlighPol | _polarity

## Constructor & Destructor Documentation

LiquidCrystal_I2C::LiquidCrystal_I2C | ( | uint8_t | lcd_Addr | ) |

Class constructor. Initializes class variables and defines the I2C address of the LCD. The constructor does not initialize the LCD.

Parameters

  lcd_Addr[in] | I2C address of the IO expansion module. For I2CLCDextraIO, the address can be configured using the on board jumpers.

LiquidCrystal_I2C::LiquidCrystal_I2C | ( | uint8_t | lcd_Addr,
|  | uint8_t | En,
|  | uint8_t | Rw,
|  | uint8_t | Rs
| ) |  |

Class constructor. Initializes class variables and defines the I2C address of the LCD. The constructor does not initialize the LCD.

Parameters

  lcd_Addr[in] | I2C address of the IO expansion module. For I2CLCDextraIO, the address can be configured using the on board jumpers.
  En[in] | LCD En (Enable) pin connected to the IO extender module
  Rw[in] | LCD Rw (Read/write) pin connected to the IO extender module
  Rs[in] | LCD Rs (Reset) pin connected to the IO extender module

LiquidCrystal_I2C::LiquidCrystal_I2C | ( | uint8_t | lcd_Addr,
|  | uint8_t | En,
|  | uint8_t | Rw,
|  | uint8_t | Rs,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7
| ) |  |

Class constructor. Initializes class variables and defines the I2C address of the LCD. The constructor does not initialize the LCD.

Parameters

  lcd_Addr[in] | I2C address of the IO expansion module. For I2CLCDextraIO, the address can be configured using the on board jumpers.
  En[in] | LCD En (Enable) pin connected to the IO extender module
  Rw[in] | LCD Rw (Read/write) pin connected to the IO extender module
  Rs[in] | LCD Rs (Reset) pin connected to the IO extender module
  d4[in] | LCD data 0 pin map on IO extender module
  d5[in] | LCD data 1 pin map on IO extender module
  d6[in] | LCD data 2 pin map on IO extender module
  d7[in] | LCD data 3 pin map on IO extender module

## Member Function Documentation

void LiquidCrystal_I2C::begin | ( | uint8_t | cols,
|  | uint8_t | rows,
|  | uint8_t | charsize = `LCD_5x8DOTS`
| ) |  |

virtual

LCD initialization and associated HW. Initializes the LCD to a given size (col, row). This methods initializes the LCD, therefore, it MUST be called prior to using any other method from this class or parent class.

The begin method can be overloaded if necessary to initialize any HW that is implemented by a library and can't be done during construction, here we use the Wire class.

Parameters

  cols[in] | the number of columns that the display has
  rows[in] | the number of rows that the display has
  charsize[in] | size of the characters of the LCD: LCD_5x8DOTS or LCD_5x10DOTS.

Reimplemented from LCD.

void LiquidCrystal_I2C::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  |

virtual

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters

  value[in] | Value to send to the LCD.
  mode[in] | DATA - write to the LCD CGRAM, COMMAND - write a command to the LCD.

Reimplemented from LCD.

void LiquidCrystal_I2C::setBacklight | ( | uint8_t | value | ) |

virtual

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also
  setBacklightPin.

Parameters

  value | backlight mode (HIGH|LOW)

Reimplemented from LCD.

void LiquidCrystal_I2C::setBacklightPin | ( | uint8_t | value,
|  | t_backlighPol | pol = `POSITIVE`
| ) |  |

virtual

Sets the pin to control the backlight. Sets the pin in the device to control the backlight. This device doesn't support dimming backlight capability.

Parameters

  0 | backlight off, 1..255: backlight on.

Reimplemented from LCD.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_I2C.h
- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_I2C.cpp